[kernel] 2.6.36 et module « nouveau »

Aujourd’hui j’ai voulu tester le module « nouveau » du noyau Linux pour remplacer le noyau propriétaire Nvidia que j’utilisais jusqu’à présent.

Évidement la première étape a été de compiler le module dans le noyau, hors je me suis heurté à une petite erreur que voici.

drivers/built-in.o: In function `nouveau_acpi_edid’:
(.text+0x13404e): undefined reference to `acpi_video_get_edid’

Ceci est du à une dépendance non satisfaite du module (ceci peut être patché dans le kernel). L’option nécessaire est CONFIG_ACPI_VIDEO qui doit être compilé dans le noyau. Si vous utilisé menuconfig pour la configuration du noyau aller dans Power management and ACPI options > ACPI (Advanced Configuration and Power Interface) Support > Video

Ce module possède lui aussi des dépendances qui sont (entre autre) :

BACKLIGHT_CLASS_DEVICE : Device Drivers > Graphics support > Backlight & LCD device support > Lowlevel Backlight controls

VIDEO_OUTPUT_CONTROL : Device Drivers > Graphics support > Lowlevel video output switch controls

Voici qui devrait régler ce petit problème !!

Si vous avez apprécié cet article, pensé à laissé un commentaire ou vous abonner au flux RSS feed.

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *